Contents Screen
TAdrockGroupBox

Version 1.0 - October 3, 1995

Click here for Properties 	Click here for Methods	Click here for Events

Unit

Adgroup

Registration

Registration of this control will be available on-line via the CompuServe SWREG forum for $10.00 US very soon.

Please contact us at  CompuServe 100353,110 or Internet: DHMCC@IBM.NET.

Please set your subject line to TAdrockGroupBox for all correspondence regarding this component.

Include your name, EMAIL or physical address and Visa Number and Expiry Date if ordering directly.

Description

Use a TAdrockGroupBox component when you need to want to have a bit more flexibility than the standard delphi component TGroupBox. The TAdrockGroupBox  component s main features are that you have set the alignment property of the text that is displayed.  You can set the alignment to be Left, Right or center justified.

Another new property is Style, which defined where the caption will be displayed. This can be either at the top, or the bottom of the control. Two special style properties allow you to have a thick border at the top or bottom.

All colors can be redefined to any windows color, or the pre-defined colors. The default look is the same as a standard TGroupBox component.


Properties

This is the properties page for TAdrockGroupBox, please select a property.

Align	Alignment	BorderColor1
BorderColor2	Caption	Color
Cursor	Font	Height
HelpContext	Hint	Left
Name	Style	Tag
ThickColor	Top	Width


Methods

There are no methods for this component.


Events

There are no events for this component.


Alignment

Applies to

TAdrockGroupBox components

Declaration

property Alignment : Talignment;

Description

Set this property to display the caption of the group box in the position of your choice. You can choose from Left, Right, or Center Justify.

Standard Left Justified	Centered	Right Justified


BorderColor1
BorderColor1 & BorderColor2

Applies to

TAdrockGroupBox components

Declaration

property BorderColor1 : Tcolor;

property BorderColor2 : Tcolor;

Description

This property defines the colors for the 3d border. You can set these properties to any colors that you want.

BorderColor1=clTeal BorderColor2=clPurple	BorderColor1=clBlack BorderColor2=clBtnShadow	BorderColor1=clSilver BorderColor2=clBtnShadow
		The group box is inside of a colored Tpanel in this example.


BorderColor2
BorderColor1 & BorderColor2

Applies to

TAdrockGroupBox components

Declaration

property BorderColor1 : Tcolor;

property BorderColor2 : Tcolor;

Description

This property defines the colors for the 3d border. You can set these properties to any colors that you want.

BorderColor1=clTeal BorderColor2=clPurple	BorderColor1=clBlack BorderColor2=clBtnShadow	BorderColor1=clSilver BorderColor2=clBtnShadow
		The group box is inside of a colored Tpanel in this example.


Style

Applies to

TAdrockGroupBox components

Declaration

property Style : TAdrockGroupBoxStyle;

Description

Set this property to set the style of the caption. The style defined the placement of the caption in the group box.

Note: Each style still has full caption alignment of left, right and center justify.

Below are samples of the style property settings.

Style = stCaptionOnTop	Style = stCaptionOnBottom
Style = stCaptionThickTop	Style = stCaptionThickBottom
A colored TPanel with a colored TadrockGroupBox and the style as stCaptionThickTop	A colored TPanel with a colored TadrockGroupBox and the style as stCaptionThickBottom

As you can see there is a lot of different views that the TAdrockGroupBox can display.


ThickColor

Applies to

TAdrockGroupBox components

Declaration

property ThickColor : Tcolor;

Description

This property is only used when the style property is set to stCaptionThickTop, or stCaptionThickBottom. The color is used to set the thick border part of the control. By using this property and the color property you can make the group box have an almost unlimited number of display variations.

Style = stCaptionThickTop	Style = stCaptionThickBottom


TAdrockFormPosition
TAdrockGroupBox

Applies to

TAdrockGroupBox components

Description

Use a TAdrockGroupBox component when you need to want to have a bit more flexibility than the standard delphi component TGroupBox. The TAdrockGroupBox  component s main features are that you have set the alignment property of the text that is displayed.  You can set the alignment to be Left, Right or center justified.

Another new property is Style, which defined where the caption will be displayed. This can be either at the top, or the bottom of the control. Two special style properties allow you to have a thick border at the top or bottom.

All colors can be redefined to any windows color, or the pre-defined colors. The default look is the same as a standard TGroupBox component.

Click here for the Contents Page